CNAF - Bug #1262

[PAYROLL] Prorate BPJS Pensiun
06/23/2022 09:51 AM - Kezia Pawitra Yulianti

Status: Deploy Start date: 06/23/2022
Priority: Immediate Due date: 06/30/2022
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 6.50 hours
Description

Dear Yomma,

mohon bantuannya untuk fixing perhitungan prorate pada BPJS Pensiun untuk case karyawan new hiring atau resign.

Kondisi saat ini jika ada prorate pada upah karyawan, maka yg di prorate adalah base BPJS Pensiun nya yaitu nilai maks nya.
Seharusnya jika upah sudah prorate maka prosentase menghitung ke upah prorate tsb bukan menghitung prorate base maks tsb.
Tolong perbaikannya ya

Tks

History

#1 - 06/29/2022 04:32 PM - Tri Rizqiaty
- File clipboard-202206291629-sclah.png added
- File MinovalS.MinovaERP.Extended.PY.BusinessComponent.dll added

- Status changed from Assigned to Developing

Fixing :

1. Update table base_cust_ref jamsostek_pension --- field max_type rubah dari FIX menjadi FIXED , sesuai gambar dibawah
MINOVAIS-SERVER)..jamsostek_pension + X

Column Alias Table OQutp... Sort Type Sort Order Filter Or... Or... Or...

landscape base_cust...

code base_cust...

type base_cust..

description base_cust...

[level] base_cust...

emnlouver ner hace rust A

landscape code type description level employer_perc... employee_per... base_wt employer_wt employee_wt wage_type max type max_value
100 BRJP BRISPT BPIS Pensiun 0 2,0000 1,0000 BOO2 BJS3 BIE3 FIX 7PO0000
100 BRIP BPISPZ BPIS Pensiun 01 2,0000 1,0000 BO02 BIS3 BIE3 FIX 7B35300
100 BRIP BPISP3 BPIS Pensiun Pr... 01 2,0000 1,0000 B0O02 BIS4 BIE4 FIX 7R35300
100 BRIP BRISP4 BRIS Pensiun M... 01 2,0000 1,0000 B0O2 BIS4 BIE4 FIX 7703500
100 BRIP BRSPS BRISPensiuns 01 2,0000 1,0000 BOO2 BJS4 BIE4 FIX 94000
100 BRIP BPISPE BRIS Pensiun€ 01 2,0000 1,0000 B002 BJS4 BIE4 FIX 512400
100 BRIP BPISPT BPIS Pensiun? 01 2,0000 1,0000 BO02 BIS4 BIE4 FIX 39700
100 EPJP BPISPE BPIS Pensiund 01 2,0000 1,0000 BOO2 BIS4 BIE4 FIX 754600
100 BRJP BRISPY BRIS Pensiund® 01 2,0000 1,0000 B002 BIS4 BIE4 FIXED 9077600

3 100 DPL 0 Dana Pensiun 0 10,0000 5,0000 BOD1 DPLY DPLK NULL NULL
100 DPL2 02 Dana Pensiun P... 01 10,0000 5,0000 BOO1 DPL2 DPLE
100 JHT Jam1 Jamsostek Hari ... 01 3,7000 2,0000 BO02 JER1 JEE1
100 JHT JamPR Jamsostek Hari ... 01 3,7000 2,0000 B002 JER1 JEE1
100 JHT1 Jam2 Jamsostek Hari ... 01 5,7000 MNULL B002 JERT MNULL NULL
100 JHT2 Jam3 Jamsostek Hari ... 01 3,7000 2,0000 BOD4 JER1 JEET MNULL NULL
100 JKK Jam1 Jamsostek Kece... 01 0,2400 MNULL BO02 JER2 NULL NULL
100 JKK JamR Jamsostek Kece... 01 0,0024 MNULL BOO2 JER2
< >

2. Update folder ExtensionLibraries : MinovalS.MinovaERP.Extended.PY.BusinessComponent.dll (file terlampir)

#2 - 06/29/2022 04:33 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Muhammad Bintar

Tolong ditest dulu, sebelum dideploy ke client ya.
Dan sebelum dideploy tolong diback up dulu ya.

#3 - 06/30/2022 02:59 PM - Muhammad Bintar

03/26/2025 12



- Status changed from QA Test to Deploy

sedang di deploy ke cnaf development

Files
clipboard-202206291629-sclah.png 75.1 KB 06/29/2022 Tri Rizgiaty
MinovalS.MinovaERP.Extended.PY.BusinessComponent.dll 50.5 KB 06/29/2022 Tri Rizgiaty
